---
title: Home
slug: /
---

Welcome to the **Premake 5  User Guide**!

## Getting Started ##

* [What Is Premake?](What-Is-Premake.md)
* [Using Premake](Using-Premake.md)
* [Building Premake](Building-Premake.md)
* [Getting Help](/community/support)

## Writing Premake Scripts ##

* [Your First Script](Your-First-Script.md)
* [Workspaces and Projects](Workspaces-and-Projects.md)
* [Scopes and Inheritance](Scopes-and-Inheritance.md)
* [Adding Source Files](Adding-Source-Files.md)
* [Linking](Linking.md)
* [Configurations and Platforms](Configurations-and-Platforms.md)
* [Filters](Filters.md)
* [Build Settings](Build-Settings.md)
* [Command Line Arguments](Command-Line-Arguments.md)
* [Using Modules](Using-Modules.md)
* [More Topics…](Topics.md)

## Extending Premake ##

* [Introduction](Extending-Premake.md)
* [Code Overview](Code-Overview.md)
* [Coding Conventions](Coding-Conventions.md)
* [Overrides and Call Arrays](Overrides-and-Call-Arrays.md)
* [Developing Modules](Developing-Modules.md)
* [Adding a New Action](Adding-New-Action.md)

## Premake Reference ##

* [Project API](Project-API.md)
* [Lua Library Additions](Lua-Library-Additions.md)
* [Available Modules](/community/modules)
* [Supported Feature Matrix](Feature-Matrix.md)
* [What's New in 5.0](Whats-New-in-5.0.md)
* [Migrating From 4.x](Migrating-From-4.x.md)

## Contributing to Premake ##

* [How You Can Help](How-to-Help.md)
* [Development Roadmap](Development-Roadmap.md)
* [How To Submit Changes](https://github.com/premake/premake-core/blob/master/CONTRIBUTING.md)
